Watchers list is not properly displayed in Gantt table
2025-07-14 09:50 - Jaebok Oh

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.7

Resolution: Fixed Affected version: 6.0.6
Description

In the Gantt, the item for issue watchers is displayed incorrectly.
Associated revisions

Revision 23890 - 2025-07-15 07:50 - Marius BALTEANU
Fixes watchers list is not properly displayed in Gantt table (#43004).

Revision 23892 - 2025-07-15 08:02 - Marius BALTEANU
Merge r23890 from trunk to 6.0-stable (#43004).

History

#1 - 2025-07-14 22:57 - Marius BALTEANU

- Status changed from New to Confirmed

#2 - 2025-07-14 23:19 - Marius BALTEANU
- File 43004-fix-for-watchers-in-gantt.patch added
- Category set to Ul

- Target version set to Candidate for next minor release

One option to fix this is to display the watchers on the same line delimited by comma in the same way we display subprojects in project overview.

#3 - 2025-07-14 23:19 - Marius BALTEANU
- File clipboard-202507150019-fdqoe.png added

clipboard-202507150019-fdqoe.png

#4 - 2025-07-15 03:23 - Mizuki ISHIKAWA
- File display-inline.gif added

Marius BALTEANU wrote in #note-2:

One option to fix this is to display the watchers on the same line delimited by comma in the same way we display subprojects in project overview.

| confirmed that the issue was resolved by the 43004-fix-for-watchers-in-gantt.patch changes.

As a suggestion, how about applying the following change in addition to the patch from 43004-fix-for-watchers-in-gantt.patch?
This makes the behavior more consistent when resizing the column width. Of course, feel free to ignore this if it's out of scope for the current patch.

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css
index 0185ef771..088f5a00e 100644

-—— a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -1825,7 +1825,7 @@ td.gantt_watcher_users_column div.issue_watcher_users ul {

}
td.gantt_watcher_users_column div.issue_watcher_users ul 1i
- float: left;
+ display: inline;

}

td.gantt_watcher_users_column div.issue_watcher_users ul li:not (:last-child)::after {

#5 - 2025-07-15 07:53 - Marius BALTEANU
- Assignee set to Marius BALTEANU

- Resolution set to Fixed
Committed the fix with the change proposed by Mizuki, thanks!

#6 - 2025-07-15 08:38 - Marius BALTEANU

- Status changed from Confirmed to Closed

#7 - 2025-07-15 08:44 - Marius BALTEANU

- Target version changed from Candidate for next minor release to 6.0.7

#8 - 2025-07-15 09:07 - Go MAEDA

{

- Subject changed from In the Gantt, the item for issue watchers is displayed incorrectly. to Watchers list is not properly displayed in Gantt table
